Manage BankID login for your account

Enable or disable BankID as the sole login method for your account. This is a security setting that affects how you log in to your control panel.

Account & Settings BankID

Context

Used in the dashboard

/account

Headers

Accept Example
Content-Type Example

Body

required
application/json
enabled boolean required · Example: true

Responses

200
data object required
data.bankidOnly boolean required · Example: true
data.message string required · Example: BankID-inloggning aktiverad. Du kan nu endast logga in med BankID. / BankID-only login ...

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

401
code string required · Example: UNAUTHORIZED

Machine-readable error code.

error string required · Example: Unauthorized

HTTP status title (e.g. 'Bad Request').

message string required · Example: Authentication required

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/account/bankid-only
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/account/bankid-only" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "enabled": true
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "bankidOnly": true,
    "message": "BankID-inloggning aktiverad. Du kan nu endast logga in med BankID. / BankID-only login enabled."
  }
}
Request Body Example 1
{
  "enabled": true
}